import { UnityAction } from '@/utils/utils';
import { CloseCircleFilled } from '@ant-design/icons';
import { ConfigProvider } from 'antd';
import locale from 'antd/es/locale/zh_CN';
import { useEffect } from 'react';
import styles from './index.less';

export default (props) => {
  const {
    children,
    style,
    closeable = true,
    tabs = false,
    title = null,
  } = props;

  const handleClose = () => {
    UnityAction.sendMsg('closePage');
  };
  // const handleReturn = () => {
  //   history.back();
  // };

  useEffect(() => {
    document.body.style.backgroundColor = 'transparent';
  }, []);

  return (
    <ConfigProvider locale={locale}>
      <div className={styles.page} style={style}>
        {title}
        {/* {returnable && (
          <LeftOutlined
            onClick={handleReturn}
            className={styles.return}
            style={{ top: tabs ? '0.4rem' : '' }}
          />
        )} */}
        {closeable && (
          <CloseCircleFilled
            onClick={handleClose}
            className={styles.close}
            style={{ top: tabs ? '0.35rem' : '' }}
          />
        )}

        <div className={styles.pageContent}>{children}</div>
      </div>
    </ConfigProvider>
  );
};
