import {
  getConFileList,
  getOpsFileType,
  removeProjectFile,
} from '@/services/device';
import { message } from 'antd';

export default {
  namespace: 'equipmentConstructionList',
  state: {
    list: [],
    folders: [],
  },

  effects: {
    *getFileList({ payload }, { call, put }) {
      const response = yield call(getConFileList, payload);
      if (response) {
        yield put({
          type: 'save',
          payload: { list: response.data },
        });
      }
    },
    *getOpsFileType({ projectId, fileType, callback }, { call, put }) {
      try {
        const response = yield call(getOpsFileType, projectId);
        // console.log(response.data);
        if (response) {
          yield put({
            type: 'save',
            payload: {
              folders: response.data.filter((each) => each.Type == fileType),
            },
          });
          // console.log(response.data.filter(each => each.Type == fileType));
          callback &&
            callback(response.data.filter((each) => each.Type == fileType));
        }
      } catch (error) {
        console.error(error);
      }
    },

    *removeProjectFile({ payload, callback }, { call, put }) {
      const response = yield call(removeProjectFile, payload);
      if (response) {
        if (callback) callback();
        message.success('删除成功');
        yield put({
          type: 'getFileList',
          payload: {
            projectId: payload.projectId,
            code: payload.code,
            fileType: payload.fileType,
            ops: payload.ops == '1' ? 1 : undefined,
          },
        });
      }
    },
  },

  reducers: {
    save(state, action) {
      return {
        ...state,
        ...action.payload,
      };
    },
  },
};
