import { stringify } from 'qs';
import { request } from 'umi';
export async function queryGateList(params = {}) {
  return request(`/api/iot/v1/gate/list?${stringify(params)}`);
}
export async function queryGateOpList(params = {}) {
  return request(`/api/iot/v1/gate/op/list?${stringify(params)}`);
}
export async function queryGateOverView(params = {}) {
  return request(`/api/iot/v1/gate/overview?${stringify(params)}`);
}
//视频列表
export async function queryMonitorList(projectId) {
  const res = await queryExceptionList(projectId);
  const res2 = await request(`/api/v1/monitor/list/${projectId}`);
  console.log(res, res2);
  res2.data.list?.forEach((item) => {
    let err = res.data.find((img) => img.device_name == item.Name);
    if (err) {
      item.EventPath = err.path;
      item.MandateId = err.mandate_id;
    } else {
      item.EventPath = '';
      item.MandateId = 0;
    }
  });
  return res2;
}
//视频状态
export async function queryMonitorOnlineCount(projectId) {
  return request(`/api/v1/monitor/online_count/${projectId}`);
}
//视频状态
export async function queryExceptionList(projectId) {
  return request(`/api/v1/dumu/exception-list?project_id=${projectId}`);
}
export const checkPW = async (data) => {
  return await request(`/api/v1/user/check_automationPw`, {
    method: 'POST',
    data: data,
  });
};
